# Users

{% hint style="info" %}
Production URL: [https://users-v1-api-rdqehkur6a-ey.a.run.app](https://users-v1-api-rdqehkur6a-ey.a.run.app/)
{% endhint %}

## Create User

{% hint style="info" %}
Supported Date formats includes:\
"2015-03-25" (The International Standard)\
"03/25/2015"\
"Mar 25 2015" or "25 Mar 2015"\
1726726779171 (Epoch milliseconds)
{% endhint %}

{% openapi src="<https://tygapay.github.io/docs/definition.json>" path="/user" method="post" %}
<https://tygapay.github.io/docs/definition.json>
{% endopenapi %}

## Get User

{% openapi src="<https://tygapay.github.io/docs/definition.json>" path="/user" method="get" %}
<https://tygapay.github.io/docs/definition.json>
{% endopenapi %}

## Get User Balances

{% openapi src="<https://tygapay.github.io/docs/definition.json>" path="/user/balances" method="get" %}
<https://tygapay.github.io/docs/definition.json>
{% endopenapi %}

## Get User Crypto Deposit Addresses

{% openapi src="<https://tygapay.github.io/docs/definition.json>" path="/user/deposit-addresses" method="get" %}
<https://tygapay.github.io/docs/definition.json>
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tygapay.com/api/apis/users.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
